Package org.apache.sling.api.scripting

# Class InvalidServiceFilterSyntaxException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.sling.api.SlingException
org.apache.sling.api.scripting.InvalidServiceFilterSyntaxException

All Implemented Interfaces:
  `Serializable`

public class InvalidServiceFilterSyntaxException extends SlingException
Thrown when an invalid service filter is used

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`InvalidServiceFilterSyntaxException(String filter, String reason)`
`InvalidServiceFilterSyntaxException(String filter, String reason, Throwable cause)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getFilter()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### InvalidServiceFilterSyntaxException

public InvalidServiceFilterSyntaxException(String filter, String reason)

### InvalidServiceFilterSyntaxException

public InvalidServiceFilterSyntaxException(String filter, String reason, Throwable cause)

## Method Details

### getFilter

public String getFilter()